Community Articles
Find and share helpful community-sourced technical articles
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

In Ambari when try to upgrade to HDP/HDF versions - after adding a new repo version, some times it might show disabled "install packages" button.

There can be multiple reasons for this.

1. Check to stack_id which stack_id clusters table is pointing to. it should be pointed to correct current stack_id if not correct with update query

2. check clusterstate table - it should be pointing to correct current stack_id if not correct with update query

3. How to find my correct current stack_id

run "select stack_id, version from repo_version" query - check the stack_id for your current hdp/hdf version.

4. so step1 and step2 should be pointing to stack_id returned in step3.

There can be many other reasons like not having "upgrades" folder in stack folder or some other.

188 Views
0 Kudos
Comments
Contributor

Hi!

While upgrading HDF - 3.0.2 to HDF-3.2.0 I'm facing the same problem.

ambari=> select cluster_id, desired_stack_id from clusters;

cluster_id | desired_stack_id -

2 | 51

ambari=> select * from clusterstate ;

cluster_id | current_cluster_state | current_stack_id

2 | | 51

ambari=> select stack_id, version from repo_version;

stack_id | version

2 | 2.1.4.0-5

51 | 3.0.2.0-76

101 | 3.1.2.0-7

102 | 3.2.0.0

----------------------

My current version in 3.0.2.0-76, stack_id=51

what can be the reason of why I can't install and upgrade to 3.2.0.0

Thanks in advance!

with kind regards,

Gulshan

Don't have an account?
Coming from Hortonworks? Activate your account here
Version history
Revision #:
1 of 1
Last update:
‎08-29-2018 10:40 PM
Updated by:
 
Contributors
Top Kudoed Authors